<?php
/**
 * GeosApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\LogisticClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Logistic
 *
 * Управление логистикой
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\LogisticClient;

use \Ensi\LogisticClient\Configuration;
use \Ensi\LogisticClient\ApiException;
use \Ensi\LogisticClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * GeosApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\LogisticClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class GeosApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createFederalDistrict
     *
     * Создание объекта типа FederalDistrict.
     *
     */
    public function testCreateFederalDistrict()
    {
    }

    /**
     * Test case for createRegion
     *
     * Создание объекта типа Region.
     *
     */
    public function testCreateRegion()
    {
    }

    /**
     * Test case for deleteFederalDistrict
     *
     * Удаление объекта типа FederalDistrict.
     *
     */
    public function testDeleteFederalDistrict()
    {
    }

    /**
     * Test case for deleteRegion
     *
     * Удаление объекта типа Region.
     *
     */
    public function testDeleteRegion()
    {
    }

    /**
     * Test case for getFederalDistrict
     *
     * Получение объекта типа FederalDistrict.
     *
     */
    public function testGetFederalDistrict()
    {
    }

    /**
     * Test case for getRegion
     *
     * Получение объекта типа Region.
     *
     */
    public function testGetRegion()
    {
    }

    /**
     * Test case for patchFederalDistrict
     *
     * Обновления части полей объекта типа FederalDistrict.
     *
     */
    public function testPatchFederalDistrict()
    {
    }

    /**
     * Test case for patchRegion
     *
     * Обновления части полей объекта типа Region.
     *
     */
    public function testPatchRegion()
    {
    }

    /**
     * Test case for replaceFederalDistrict
     *
     * Замена объекта типа FederalDistrict.
     *
     */
    public function testReplaceFederalDistrict()
    {
    }

    /**
     * Test case for replaceRegion
     *
     * Замена объекта типа Region.
     *
     */
    public function testReplaceRegion()
    {
    }

    /**
     * Test case for searchDeliveryCities
     *
     * Поиск связи городов со службами доставки.
     *
     */
    public function testSearchDeliveryCities()
    {
    }

    /**
     * Test case for searchFederalDistricts
     *
     * Поиск объектов типа FederalDistrict.
     *
     */
    public function testSearchFederalDistricts()
    {
    }

    /**
     * Test case for searchOneFederalDistrict
     *
     * Поиск объекта типа FederalDistrict.
     *
     */
    public function testSearchOneFederalDistrict()
    {
    }

    /**
     * Test case for searchOneRegion
     *
     * Поиск объекта типа Region.
     *
     */
    public function testSearchOneRegion()
    {
    }

    /**
     * Test case for searchPoints
     *
     * Поиск пунктов приема/выдачи товара.
     *
     */
    public function testSearchPoints()
    {
    }

    /**
     * Test case for searchRegions
     *
     * Поиск объектов типа Region.
     *
     */
    public function testSearchRegions()
    {
    }
}
